<?php
/**
 *	galliMassmail
 *	Author : Raez Mon | Team Webgalli
 *	Team Webgalli | Elgg developers and consultants
 *	Mail : info@webgalli.com
 *	Web	: http://webgalli.com
 *	Skype : 'team.webgalli'
 *	@package galliMassmail plugin
 *	Licence : GPLv2
 *	Copyright : Team Webgalli 2011-2015
 */

$full = elgg_extract('full_view', $vars, FALSE);
$galliMassmail = elgg_extract('entity', $vars, FALSE);
if (!$galliMassmail) {
	return;
}
$owner = $galliMassmail->getOwnerEntity();
$owner_icon = elgg_view_entity_icon($owner, 'tiny');
$owner_link = elgg_view('output/url', array(
	'href' => $owner->getURL(),
	'text' => $owner->name,
	'is_trusted' => true,
));
$author_text = elgg_echo('byline', array($owner_link));
$date = elgg_view_friendly_time($galliMassmail->time_created);
$subtitle = "<p>$author_text - $date</p>";

$guid = (int) $galliMassmail->guid;
$title = $galliMassmail->title;
$metadata = elgg_view_menu('entity', array(
	'entity' => $vars['entity'],
	'handler' => 'galliMassmail',
	'sort_by' => 'priority',
	'class' => 'elgg-menu-hz float-alt',
));

$description = elgg_view('output/longtext', array('value' => $galliMassmail->description, 'class' => 'pbl'));

$content = elgg_view_image_block($owner_icon, $subtitle . $description, array("id"=>"id-$guid", 'class'=>'hidden'));

$link = elgg_view('output/url', array('href' => "#id-$guid", 'rel' => 'toggle', 'text' => $title, 'class' => 'float'));

echo elgg_view_module('info', $link . $metadata, $content);						